Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## generating
Class GeneratorsController

    java.lang.Object
      generating.GeneratorsController

    public class GeneratorsController

extends java.lang.Object

Author:
  Majd Kokaly GeneratorsController is responsible for generating a Generator Thread for every JobClass in the system.

Constructor Summary
`GeneratorsController(Mapper mapper)`

Method Summary
`JobsGenerator[]` | `getGenerators()`
`Mapper` | `getMapper()`
`java.lang.Thread[]` | `getThreads()`
`void` | `logTheStartDate()` This method logs the start date of the generation process
`void` | `setGenerators(JobsGenerator[] generators)`
`void` | `setMapper(Mapper mapper)`
`void` | `setThreads(java.lang.Thread[] threads)`
`void` | `startGenerators()` This creates a Thread for every Job Generator and starts them
`void` | `stopGenerators()` This method stops the threads

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneratorsController

    public GeneratorsController(Mapper mapper)

Parameters:
  `mapper` - object that the data memeber mapper is set to

Method Detail

### startGenerators

    public void startGenerators()

  This creates a Thread for every Job Generator and starts them

### logTheStartDate

    public void logTheStartDate()

  This method logs the start date of the generation process

### stopGenerators

    public void stopGenerators()

  This method stops the threads

### getMapper

    public Mapper getMapper()

### setMapper

    public void setMapper(Mapper mapper)

### getGenerators

    public JobsGenerator[] getGenerators()

### setGenerators

    public void setGenerators(JobsGenerator[] generators)

### getThreads

    public java.lang.Thread[] getThreads()

### setThreads

    public void setThreads(java.lang.Thread[] threads)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD